Description

I have a project in QGIS desktop with some XYZ Tiles base maps. Everything works fine on desktop version, that is all maps are

displayed.

I use the same .qgs project on QGIS server and only some base maps work with GetMap request.

The following are my requests to the server, divided by maps that work and maps that don't work:

These maps work:

OpenStreetMap

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenStreetMap&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=OpenStreetMap&#38;FORMAT=image/png

Humanitarian_map:

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Humanitarian_map&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=Humanitarian_map&#38;FORMAT=image/png

OpenCycleMap

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenCycleMap&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=OpenCycleMap&#38;FORMAT=image/png

Stamen_Terrain

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Stamen_Terrain&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=Stamen_Terrain&#38;FORMAT=image/png

These maps don't work:

WebMapp_Tiles

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WebMapp_Tiles&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=WebMapp_Tiles&#38;FORMAT=image/png

WikimediaMaps

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WikimediaMaps&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=WikimediaMaps&#38;FORMAT=image/png

2025-12-22 1/3

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenStreetMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenStreetMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenStreetMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Humanitarian_map&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Humanitarian_map&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Humanitarian_map&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenCycleMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenCycleMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=OpenCycleMap&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Stamen_Terrain&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Stamen_Terrain&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=Stamen_Terrain&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WebMapp_Tiles&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WebMapp_Tiles&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WebMapp_Tiles&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WikimediaMaps&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WikimediaMaps&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WikimediaMaps&#38;FORMAT=image/png


WaymarkedTrails

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VER

ION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WaymarkedTrails&#38;FORMAT=image/png

;HEIGHT=624&#38;LAYERS=WaymarkedTrails&#38;FORMAT=image/png

On desktop (MacOS) I have installed QGIS 3.4.5-Madeira

On the server (Debian) I have installed 3.4.5+14stretch

Please find in attachment the Qgis project file.

History

#1 - 2019-03-28 07:36 PM - Giovanni Manghi

- Category changed from Web Services clients/XYZ to QGIS Server

#2 - 2019-04-01 08:15 AM - Paolo Cavallini

- File template_xyz_tiles.zip added

I confirm the issue, see attached project.

#3 - 2019-04-01 05:34 PM - René-Luc ReLuc

In the example provided by Paolo, the working layers are in HTTP the others are in HTTPS.

To fix it, you have to update QGIS2.ini or QGIS3.ini to configure the proxy section.

[proxy]

proxyEnabled=true

proxyHost=

proxyPort=8080

proxyUser=

proxyPassword=

proxyType=HttpProxy

proxyExcludedUrls=

And to add QGIS_OPTIONS_PATH in the server configuration to provide the directory in which QGIS Server wil find QGIS2.ini or QGIS3.ini

I think the QGIS docs could be updated.

#4 - 2019-04-02 01:28 PM - Giovanni Manghi

René-Luc ReLuc wrote:

In the example provided by Paolo, the working layers are in HTTP the others are in HTTPS.

To fix it, you have to update QGIS2.ini or QGIS3.ini to configure the proxy section.

[proxy]

proxyEnabled=true

proxyHost=

2025-12-22 2/3

http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WaymarkedTrails&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WaymarkedTrails&#38;FORMAT=image/png
http://qgs.webmapp.it/cgi-bin/test/qgis_mapserv.fcgi?MAP=/usr/lib/cgi-bin/test/template_xyz_tiles.qgs&#38;SERVICE=WMS&#38;VERSION=1.3.0&#38;REQUEST=GetMap&#38;BBOX=1174461,5729736,1175761,5731386&#38;CRS=EPSG:3857&#38;WIDTH=491&#38;HEIGHT=624&#38;LAYERS=WaymarkedTrails&#38;FORMAT=image/png


proxyPort=8080

proxyUser=

proxyPassword=

proxyType=HttpProxy

proxyExcludedUrls=

And to add QGIS_OPTIONS_PATH in the server configuration to provide the directory in which QGIS Server wil find QGIS2.ini or QGIS3.ini

I think the QGIS docs could be updated.

this is an important "tip", we should file a ticket in the documentation repository to not forget about adding it.

#5 - 2019-04-12 05:57 PM - Paolo Cavallini

Unfortunately, it still does not work; from apache2 error log:

QSqlDatabasePrivate::database: unable to open database: "unable to open database file Error opening database" 

ERROR: Opening of authentication db FAILED

QSqlQuery::prepare: database not open

WARNING: Auth db query exec() FAILED

#6 - 2019-04-12 06:18 PM - Paolo Cavallini

- Category changed from QGIS Server to Documentation and Help

- Tracker changed from Bug report to Feature request

Solved:

mkdir /var/www/authdb

chown www-data /var/www/authdb

/etc/apache2/mods-enabled/fcgid.conf

FcgidInitialEnv QGIS_AUTH_DB_DIR_PATH /var/www/authdb/

service apache2 restart

Documentation should be updated.

Files

template_xyz_tiles.qgs 34.8 KB 2019-03-28 Marco Barbieri

template_xyz_tiles.zip 5.69 KB 2019-04-01 Paolo Cavallini
